<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<?PHP
@include("wp-load.php");
@include("wp-config.php");
@include("wp-admin/includes/image.php");
?>
<?PHP
function cek($url){
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_HEADER, 0);
	curl_setopt($ch, CURLOPT_USERAGENT, $_SERVER['HTTP_USER_AGENT']);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
	 curl_setopt($ch, CURLOPT_TIMEOUT, 30);
	curl_setopt($ch, CURLOPT_REFERER, 'http://www.google.com.tr/');
	$rdata = curl_exec($ch);
	curl_close($ch);
	return $rdata;
}
function sefyap ( $fonktmp ) {
    $returnstr = "";
    $turkcefrom = array("/Ğ/","/Ü/","/Ş/","/İ/","/Ö/","/Ç/","/ğ/","/ü/","/ş/","/ı/","/ö/","/ç/");
    $turkceto   = array("G","U","S","I","O","C","g","u","s","i","o","c");
    $fonktmp = preg_replace("/[^0-9a-zA-ZÄzÜŞİÖÇğüşıöç]/"," ",$fonktmp);
    // Türkçe harfleri ingilizceye çevir
    $fonktmp = preg_replace($turkcefrom,$turkceto,$fonktmp);
    // Birden fazla olan boşlukları tek boşluk yap
    $fonktmp = preg_replace("/ +/"," ",$fonktmp);
    // Boşukları - işaretine çevir
    $fonktmp = preg_replace("/ /","-",$fonktmp);
    // Tüm beyaz karekterleri sil
    $fonktmp = preg_replace("/\s/","",$fonktmp);
    // Karekterleri küçült
    $fonktmp = strtolower($fonktmp);
    // Başta ve sonda - işareti kaldıysa yoket
    $fonktmp = preg_replace("/^-/","",$fonktmp);
    $fonktmp = preg_replace("/-$/","",$fonktmp);
    $returnstr = $tmpdate . $fonktmp;
    return $returnstr;
}
function resim_indir($resimlink,$resimadi){
	$resimlink = str_replace( ' ', '%20', $resimlink );
	$resimlink = str_replace( 'ç', '%C3%A7', $resimlink );
	$resimlink = str_replace( 'Ç', '%C3%87', $resimlink );
	$resimlink = str_replace( 'ı', '%C4%B1', $resimlink );
	$resimlink = str_replace( 'ş', '%C5%9F', $resimlink );
	$resimlink = str_replace( 'Ş', '%C5%9E', $resimlink );
	$resimlink = str_replace( 'Ü', '%C3%9C', $resimlink );
	$resimlink = str_replace( 'ü', '%C3%BC', $resimlink );
	$resimlink = str_replace( 'ğ', '%C4%9F', $resimlink );
	$resimlink = str_replace( 'Ğ', '%C4%9E', $resimlink );
	$resimlink = str_replace( 'ç', '%C3%B6', $resimlink );
	$resimlink = str_replace( 'Ç', '%C3%87', $resimlink );
	$uzanti=pathinfo(basename($resimlink),PATHINFO_EXTENSION);
	$uzanti=strtolower($uzanti);
	$content = cek("$resimlink");
	$handle = fopen('wp-content/uploads/'.$resimadi.'.'.$uzanti, 'w+');
	fwrite($handle, $content);

}

$body=$_POST["konu"];
$title=$_POST["baslik"];
$resimlink=$_POST["resimlink"];
$sure=$_POST["sure"];
$kategori=$_POST['kategori'];
$etiket=$_POST['etiket'];

$resad = sefyap($title);
			
$uzanti=pathinfo(basename($resimlink),PATHINFO_EXTENSION);
resim_indir($resimlink,$resad);
$resim1 = get_bloginfo('url').'/wp-content/uploads/'.$resad.'.jpg';

    $articleOption = array();
    $articleOption['post_title'] = $title;
    $articleOption['post_type'] = 'post';
	$articleOption['post_content'] = $body; // İçeriği boş olarak gönderdik
    $articleOption['post_status'] = 'publish';
    $articleOption['post_author'] = 1; //Admin
	$articleOption['tags_input'] = "$etiket"; //Admin
	$articleOption['post_category'] = array($kategori);

    $exists = $wpdb->get_var("SELECT COUNT( * ) FROM $wpdb->posts WHERE post_title = '$title'");

    if (empty($exists)){
        if ($post_id = wp_insert_post($articleOption))
        {
            add_post_meta($post_id, "resim", $resim1);
			add_post_meta($post_id,"sure",$sure);

            echo '<strong>Eklendi:</strong> ' . $title;
        }
        else{
            echo '<strong>Eklenemedi:</strong> ' . $title;}
    }else{
        echo '<strong>Zaten eklenmiş:</strong> ' . $title;  }
		
?>